Index: code/branches/pickupsFS14/src/modules/jump/JumpProjectile.h
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpProjectile.h	(revision 10050)
+++ code/branches/pickupsFS14/src/modules/jump/JumpProjectile.h	(revision 10050)
@@ -0,0 +1,104 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file JumpProjectile.h
+    @brief Declaration of the JumpProjectile class.
+    @ingroup Jump
+*/
+
+#ifndef _JumpProjectile_H__
+#define _JumpProjectile_H__
+
+#include "jump/JumpPrereqs.h"
+
+#include "util/Math.h"
+
+#include "worldentities/MovableEntity.h"
+
+
+namespace orxonox
+{
+
+    /**
+    @brief
+        This class manages the ball for @ref orxonox::Jump "Jump".
+
+        It is responsible for both the movement of the ball in the x,z-plane as well as its interaction with the boundaries of the playing field (defined by the @ref orxonox::JumpCenterpoint "JumpCenterpoint") and the @ref orxonox::JumpFigure "JumpFigures". Or more precisely, it makes the ball bounce off then upper and lower delimiters of the playing field, it makes the ball bounce off the bats and also detects when a player scores and takes appropriate measures.
+
+    @author
+        Fabian 'x3n' Landau
+
+    @ingroup Jump
+    */
+    class _JumpExport JumpProjectile : public MovableEntity
+    {
+        public:
+            JumpProjectile(Context* context);
+            virtual ~JumpProjectile();
+
+            virtual void tick(float dt);
+
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+
+            /**
+            @brief Set the dimensions of the playing field.
+            @param width The width of the playing field.
+            @param height The height of the playing field.
+            */
+            void setFieldDimension(float width, float height)
+                { this->fieldWidth_ = width; this->fieldHeight_ = height; }
+            /**
+            @brief Get the dimensions of the playing field.
+            @param dimension A vector with the width as the first and height as the second component.
+            */
+            void setFieldDimension(const Vector2& dimension)
+                { this->setFieldDimension(dimension.x, dimension.y); }
+            /**
+            @brief Get the dimensions of the playing field.
+            @return Returns a vector with the width as the first and height as the second component.
+            */
+            Vector2 getFieldDimension() const
+                { return Vector2(this->fieldWidth_, this->fieldHeight_); }
+
+
+            void setFigure(WeakPtr<JumpFigure> bats); //!< Set the bats for the ball.
+
+            virtual void accelerateFigure();
+            virtual void touchFigure();
+
+        protected:
+            void registerVariables();
+
+            float fieldWidth_; //!< The width of the playing field.
+            float fieldHeight_; //!< The height of the playing field.
+            WeakPtr<JumpFigure> figure_; //!< An array with the two bats.
+    };
+}
+
+#endif /* _JumpProjectile_H__ */
Index: code/branches/pickupsFS14/src/modules/jump/JumpScore.cc
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpScore.cc	(revision 10050)
+++ code/branches/pickupsFS14/src/modules/jump/JumpScore.cc	(revision 10050)
@@ -0,0 +1,171 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file JumpScore.cc
+    @brief Implementation of the JumpScore class.
+*/
+
+#include "JumpScore.h"
+
+#include "core/CoreIncludes.h"
+#include "core/XMLPort.h"
+#include "util/Convert.h"
+
+#include "infos/PlayerInfo.h"
+
+#include "Jump.h"
+#include "sound/WorldSound.h" /////////////////////////////
+
+namespace orxonox
+{
+    RegisterClass(JumpScore);
+
+    /**
+    @brief
+        Constructor. Registers and initializes the object.
+    */
+    JumpScore::JumpScore(Context* context) : OverlayText(context)
+    {
+        RegisterObject(JumpScore);
+
+        this->owner_ = NULL;
+
+    }
+
+    /**
+    @brief
+        Destructor.
+    */
+    JumpScore::~JumpScore()
+    {
+
+    }
+
+    /**
+    @brief
+        Method to create a JumpScore through XML.
+    */
+    void JumpScore::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(JumpScore, XMLPort, xmlelement, mode);
+    }
+
+    /**
+    @brief
+        Is called each tick.
+        Creates and sets the caption to be displayed by the JumpScore.
+    @param dt
+        The time that has elapsed since the last tick.
+    */
+    void JumpScore::tick(float dt)
+    {
+        SUPER(JumpScore, tick, dt);
+
+        // If the owner is set. The owner being a Jump game.
+
+        if (this->owner_ != NULL)
+        {
+        	/*
+            if (!this->owner_->hasEnded())
+            {
+                // Get the two players.
+                player1_ = this->owner_->getPlayer();
+            }
+
+            std::string name1;
+
+            std::string score1("0");
+
+            // Save the name and score of each player as a string.
+            if (player1_ != NULL)
+            {
+                name1 = player1_->getName();
+                score1 = multi_cast<std::string>(this->owner_->getScore(player1_));
+            }
+
+            // Assemble the strings, depending on what should all be displayed.
+            std::string output1;
+            if (this->bShowLeftPlayer_)
+            {
+                if (this->bShowName_ && this->bShowScore_ && player1_ != NULL)
+                    output1 = name1 + " - " + score1;
+                else if (this->bShowScore_)
+                    output1 = score1;
+                else if (this->bShowName_)
+                    output1 = name1;
+            }
+
+            std::string output("JUMP");
+            if (this->bShowName_ || this->bShowScore_)
+            {
+                if (this->bShowLeftPlayer_ && this->bShowRightPlayer_)
+                    output = output1 + ':' + output2;
+                else if (this->bShowLeftPlayer_ || this->bShowRightPlayer_)
+                    output = output1 + output2;
+            }
+
+            this->setCaption(output);*/
+
+
+
+
+            if (!owner_->hasEnded())
+            {
+                player_ = owner_->getPlayer();
+
+                if (player_ != NULL)
+                {
+                	int score = owner_->getScore(player_);
+
+                	std::string str = multi_cast<std::string>(score);
+                	setCaption(str);
+                }
+            }
+        }
+    }
+
+    /**
+    @brief
+        Is called when the owner changes.
+        Sets the owner to NULL, if it is not a pointer to a Jump game.
+    */
+    void JumpScore::changedOwner()
+    {
+        SUPER(JumpScore, changedOwner);
+
+        if (this->getOwner() != NULL && this->getOwner()->getGametype())
+        {
+            this->owner_ = orxonox_cast<Jump*>(this->getOwner()->getGametype().get());
+        }
+        else
+        {
+            this->owner_ = NULL;
+        }
+    }
+}
Index: code/branches/pickupsFS14/src/modules/jump/JumpScore.h
===================================================================
--- code/branches/pickupsFS14/src/modules/jump/JumpScore.h	(revision 10050)
+++ code/branches/pickupsFS14/src/modules/jump/JumpScore.h	(revision 10050)
@@ -0,0 +1,73 @@
+/*
+ *   ORXONOX - the hottest 3D action shooter ever to exist
+ *                    > www.orxonox.net <
+ *
+ *
+ *   License notice:
+ *
+ *   This program is free software; you can redistribute it and/or
+ *   modify it under the terms of the GNU General Public License
+ *   as published by the Free Software Foundation; either version 2
+ *   of the License, or (at your option) any later version.
+ *
+ *   This program is distributed in the hope that it will be useful,
+ *   but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *   GNU General Public License for more details.
+ *
+ *   You should have received a copy of the GNU General Public License
+ *   along with this program; if not, write to the Free Software
+ *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
+ *
+ *   Author:
+ *      Fabian 'x3n' Landau
+ *   Co-authors:
+ *      ...
+ *
+ */
+
+/**
+    @file JumpScore.h
+    @brief Declaration of the JumpScore class.
+    @ingroup Jump
+*/
+
+#ifndef _JumpScore_H__
+#define _JumpScore_H__
+
+#include "jump/JumpPrereqs.h"
+
+#include "tools/interfaces/Tickable.h"
+
+#include "overlays/OverlayText.h"
+
+namespace orxonox
+{
+
+    /**
+    @brief
+        The JumpScore class displays the score for a game of @ref orxonox::Jump "Jump".
+
+    @author
+        Fabian 'x3n' Landau
+
+    @ingroup Jump
+    */
+    class _JumpExport JumpScore : public OverlayText, public Tickable
+    {
+        public:
+            JumpScore(Context* context);
+            virtual ~JumpScore();
+
+            virtual void tick(float dt); //!< Creates and sets the caption to be displayed by the JumpScore.
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void changedOwner(); //!< Is called when the owner changes.
+
+        private:
+            Jump* owner_; //!< The Jump game that owns this JumpScore.
+            WeakPtr<PlayerInfo> player_; //!< Store information about left player permanently.
+            WorldSound* scoreSound_;
+
+    };
+}
+#endif /* _JumpScore_H__ */
Index: code/branches/pickupsFS14/svn-commit.tmp
===================================================================
--- code/branches/pickupsFS14/svn-commit.tmp	(revision 10050)
+++ code/branches/pickupsFS14/svn-commit.tmp	(revision 10050)
@@ -0,0 +1,11 @@
+
+--This line, and those below, will be ignored--
+
+M    src/modules/jump/Jump.h
+M    src/modules/jump/JumpPrereqs.h
+M    src/modules/jump/JumpShip.cc
+M    src/modules/jump/JumpPlatform.cc
+M    src/modules/jump/JumpShip.h
+M    src/modules/jump/JumpPlatform.h
+M    src/modules/jump/Jump.cc
+M    data/levels/Jump.oxw
